Bug 189416 - Review Request: python-nose: A discovery-based unittest extension for Python
Review Request: python-nose: A discovery-based unittest extension for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 189338
  Show dependency treegraph
 
Reported: 2006-04-19 16:42 EDT by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 13:41:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2006-04-19 16:42:01 EDT
Spec URL: http://fedora.ivazquez.net/files/extras/python-nose.spec
SRPM URL: http://fedora.ivazquez.net/files/extras/python-nose-0.8.7.2-1.src.rpm
Description: nose: a discovery-based unittest extension.

nose provides an alternate test discovery and running process for unittest, one that is intended to mimic the behavior of py.test as much as is reasonably possible without resorting to too much magic.
Comment 1 Brian Pepple 2006-04-20 14:57:43 EDT
PUBLISH +1

MD5Sums:
400cf55994cfec7772292319f7cd195d  nose-0.8.7.2.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All directories are owned by this or other packages
* All necessary BuildRequires listed
* Builds fine in Mock.
* rpmlint produces no errors.

Suggestion:
* Couldn't the *.pyo files be %ghosted.
Comment 2 Brian Pepple 2006-04-27 12:54:01 EDT
Ignacio, has this been imported into FE CVS yet?
Comment 3 Ignacio Vazquez-Abrams 2006-04-27 13:41:59 EDT
It has, I've just been swamped. Build on devel.

Note You need to log in before you can comment on or make changes to this bug.